
CREATE TABLE `cabinet` (
  `id` int(11) NOT NULL,
  `type` enum('link','razd') NOT NULL DEFAULT 'link',
  `name` varchar(32) NOT NULL,
  `url` varchar(32) NOT NULL,
  `counter` varchar(32) NOT NULL,
  `pos` int(11) NOT NULL,
  `icon` varchar(32) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Главное меню';

INSERT INTO `cabinet` (`id`, `type`, `name`, `url`, `counter`, `pos`, `icon`) VALUES
(1, 'razd', 'Кабинет', '', '', 1, 'account-details'),
(2, 'link', 'Настройки', '/user/settings/', '', 2, 'cog'),
(3, 'link', 'Журнал авторизаций', '/my_aut.php', '', 3, 'import'),
(4, 'link', 'Правила', '/rules.php', '', 4, 'information'),
(5, 'link', 'Дополнительные услуги', '/user/money/index.php', '', 5, 'checkbox-multiple-blank-outline'),
(6, 'link', 'Сменить аккаунт', '/exit.php', '', 6, 'exit-run');


ALTER TABLE `cabinet`
  ADD PRIMARY KEY (`id`),
  ADD KEY `pos` (`pos`);

ALTER TABLE `cabinet`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;
COMMIT;
